{pkgs, ...}: let
  common = import ../common.nix { inherit pkgs; };
in {
  services.minecraft-servers.servers.dewdemolisher = {
    enable = true;
    package = pkgs.paperServers.paper-1_21_1;
    jvmOpts = "-Xmx3072M";
    serverProperties = common.serverProperties // {
      difficulty = 2;
      server-port = 30010;
      motd = "§l§aDew Demolisher is here.";
    };
    whitelist = common.whitelist;
    symlinks = common.paperSymlinks // common.configSymlinks;
  };
}
